using System;

internal sealed class Delegate540 : MulticastDelegate
{
	public extern TimeSpan Invoke(ref TimeSpan timeSpan_0, TimeSpan timeSpan_1);

	public static TimeSpan smethod_0(ref TimeSpan timeSpan_0, TimeSpan timeSpan_1, Delegate540 delegate540_1)
	{
		return delegate540_1(ref timeSpan_0, timeSpan_1);
	}

	public extern Delegate540(object object_0, IntPtr intptr_0);

	static Delegate540()
	{
		Class10.smethod_13(typeof(Delegate540).TypeHandle);
	}

	internal static Delegate540 delegate540_0;
}
